Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class TagHandlerDelegateFactory

    java.lang.Object
      javax.faces.view.facelets.TagHandlerDelegateFactory

    public abstract class TagHandlerDelegateFactory

extends java.lang.Object

Abstract factory for creating instances of `TagHandlerDelegate`.

Since:
  2.0

Constructor Summary
`TagHandlerDelegateFactory()`

Method Summary
`abstract TagHandlerDelegate` | `createBehaviorHandlerDelegate(BehaviorHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `BehaviorHandler`.
`abstract TagHandlerDelegate` | `createComponentHandlerDelegate(ComponentHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `ComponentHandler`.
`abstract TagHandlerDelegate` | `createConverterHandlerDelegate(ConverterHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `ConverterHandler`.
`abstract TagHandlerDelegate` | `createValidatorHandlerDelegate(ValidatorHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `ValidatorHandler`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagHandlerDelegateFactory

    public TagHandlerDelegateFactory()

Method Detail

### createComponentHandlerDelegate

    public abstract TagHandlerDelegate createComponentHandlerDelegate(ComponentHandler owner)

  Create and return a `TagHandlerDelegate` instance designed for use with `ComponentHandler`.

  Parameters:
    `owner` - the `ComponentHandler` instance being helped by this helper instance.
  Since:
    2.0

### createValidatorHandlerDelegate

    public abstract TagHandlerDelegate createValidatorHandlerDelegate(ValidatorHandler owner)

  Create and return a `TagHandlerDelegate` instance designed for use with `ValidatorHandler`.

  Parameters:
    `owner` - the `ValidatorHandler` instance being helped by this helper instance.
  Since:
    2.0

### createConverterHandlerDelegate

    public abstract TagHandlerDelegate createConverterHandlerDelegate(ConverterHandler owner)

  Create and return a `TagHandlerDelegate` instance designed for use with `ConverterHandler`.

  Parameters:
    `owner` - the `ValidatorHandler` instance being helped by this helper instance.
  Since:
    2.0

### createBehaviorHandlerDelegate

    public abstract TagHandlerDelegate createBehaviorHandlerDelegate(BehaviorHandler owner)

  Create and return a `TagHandlerDelegate` instance designed for use with `BehaviorHandler`.

  Parameters:
    `owner` - the `ValidatorHandler` instance being helped by this helper instance.
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.